Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596395 - fan is running at full speed
Summary: fan is running at full speed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 17:32 UTC by Jim Cromie
Modified: 2013-04-05 16:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-05 16:56:08 UTC


Attachments (Terms of Use)
lshw output (deleted)
2010-05-26 17:32 UTC, Jim Cromie
no flags Details
dmidecode output (deleted)
2010-05-26 17:34 UTC, Jim Cromie
no flags Details

Description Jim Cromie 2010-05-26 17:32:10 UTC
Created attachment 416944 [details]
lshw output

Description of problem:
fan never slows down

Version-Release number of selected component (if applicable):


How reproducible:
every boot.


Steps to Reproduce:
1. no steps
  
Actual results:


Expected results:


Additional info:

[jimc@groucho ~]$ uname -a
Linux groucho 2.6.33.4-95.fc13.x86_64 #1 SMP Thu May 13 05:16:23 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

[jimc@groucho ~]$ more lscpu.out 
Architecture:          x86_64
CPU op-mode(s):        64-bit
CPU(s):                4
Thread(s) per core:    1
Core(s) per socket:    4
CPU socket(s):         1
NUMA node(s):          1
Vendor ID:             AuthenticAMD
CPU family:            16
Model:                 5
Stepping:              2
CPU MHz:               800.000
Virtualization:        AMD-V
L1d cache:             64K
L1i cache:             64K
L2 cache:              512K

Have Nvidia graphics, thus nouveau driver.
I dont know which fan is blowing hard

[jimc@groucho ~]$ dmesg |grep nouv > dmsg-nouveau-grep
[jimc@groucho ~]$ more dmsg-nouveau-grep 
nouveau 0000:01:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
nouveau 0000:01:00.0: setting latency timer to 64
[drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x0a5000a2)
[drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
[drm] nouveau 0000:01:00.0: ... appears to be valid
[drm] nouveau 0000:01:00.0: BIT BIOS found
[drm] nouveau 0000:01:00.0: Bios version 70.16.13.00
[drm] nouveau 0000:01:00.0: Pointer to BIT loadval table invalid
[drm] nouveau 0000:01:00.0: TMDS table revision 2.0 not currently supported
[drm] nouveau 0000:01:00.0: Found Display Configuration Block version 4.0
[drm] nouveau 0000:01:00.0: Raw DCB entry 0: 02000300 00000000
[drm] nouveau 0000:01:00.0: Raw DCB entry 1: 01000302 00020030
[drm] nouveau 0000:01:00.0: Raw DCB entry 2: 02011362 00020010
[drm] nouveau 0000:01:00.0: Raw DCB entry 3: 01022310 00000000
[drm] nouveau 0000:01:00.0: DCB connector table: VHER 0x40 5 16 4
[drm] nouveau 0000:01:00.0:   0: 0x00001030: type 0x30 idx 0 tag 0x07
[drm] nouveau 0000:01:00.0:   1: 0x00002161: type 0x61 idx 1 tag 0x08
[drm] nouveau 0000:01:00.0:   2: 0x00000200: type 0x00 idx 2 tag 0xff
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xD483
[drm] nouveau 0000:01:00.0: 0xD79D: Condition still not met after 20ms, skipping
 following opcodes
[drm] nouveau 0000:01:00.0: 0xD7A1: Condition still not met after 20ms, skipping
 following opcodes
[drm] nouveau 0000:01:00.0: 0xD947: Condition still not met after 20ms, skipping
 following opcodes
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xD992
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xE84F
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xE88D
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xEA86
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xEAEB
[drm] nouveau 0000:01:00.0: 0xEAEB: Condition still not met after 20ms, skipping
 following opcodes
[drm] nouveau 0000:01:00.0: 0xBEB0: parsing output script 0
[drm] nouveau 0000:01:00.0: 0xBEB0: parsing output script 0
[drm] nouveau 0000:01:00.0: Detected 1024MiB VRAM
[drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
[drm] nouveau 0000:01:00.0: Allocating FIFO number 1
[drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 1
[drm] nouveau 0000:01:00.0: Detected a DAC output
[drm] nouveau 0000:01:00.0: Detected a TMDS output
[drm] nouveau 0000:01:00.0: Detected a TMDS output
[drm] nouveau 0000:01:00.0: Detected a DAC output
[drm] nouveau 0000:01:00.0: Detected a DVI-I connector
[drm] nouveau 0000:01:00.0: Detected a HDMI connector
[drm] nouveau 0000:01:00.0: Detected a VGA connector
[drm] nouveau 0000:01:00.0: allocated 1920x1200 fb: 0x40250000, bo ffff88022a1ee
c00
fbcon: nouveaufb (fb0) is primary device
[drm] nouveau 0000:01:00.0: 0xBEB1: parsing output script 1
[drm] nouveau 0000:01:00.0: 0xBEB2: parsing output script 2
[drm] nouveau 0000:01:00.0: 0xBC30: parsing clock script 0
[drm] nouveau 0000:01:00.0: 0xB570: parsing clock script 1
fb0: nouveaufb frame buffer device
[drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
[drm] nouveau 0000:01:00.0: 0x123D: parsing clock script 0
[drm] nouveau 0000:01:00.0: Allocating FIFO number 2
[drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 2

[jimc@groucho ~]$ dmesg | grep -i acpi
 BIOS-e820: 00000000c7f80000 - 00000000c7f8e000 (ACPI data)
 BIOS-e820: 00000000c7f8e000 - 00000000c7fb8000 (ACPI NVS)
ACPI: RSDP 00000000000fa6e0 00024 (v02 ACPIAM)
ACPI: XSDT 00000000c7f80100 00064 (v01 DELL    FX09    20091112 MSFT 00000097)
ACPI: FACP 00000000c7f80290 000F4 (v03 DELL    FX09    20091112 MSFT 00000097)
ACPI Warning: Optional field Pm2ControlBlock has zero address or length: 0000000000000000/1 (20091214/tbfadt-557)
ACPI: DSDT 00000000c7f80640 04AEE (v01  1AAAA 1AAAA000 00000000 INTL 20051117)
ACPI: FACS 00000000c7f8e000 00040
ACPI: APIC 00000000c7f80390 0006C (v01 DELL    FX09    20091112 MSFT 00000097)
ACPI: MCFG 00000000c7f80400 0003C (v01 DELL   OEMMCFG  20091112 MSFT 00000097)
ACPI: SLIC 00000000c7f80440 00176 (v01 DELL    FX09    20091112 MSFT 00000097)
ACPI: OSFR 00000000c7f805c0 00080 (v01 DELL    FX09    20091112 MSFT 00000097)
ACPI: OEMB 00000000c7f8e040 00071 (v01 DELL    FX09    20091112 MSFT 00000097)
ACPI: HPET 00000000c7f85130 00038 (v01 DELL   OEMHPET  20091112 MSFT 00000097)
ACPI: SSDT 00000000c7f85170 0088C (v01 A M I  POWERNOW 00000001 AMD  00000001)
ACPI: Local APIC address 0xfee00000
  #10 [0000003000 - 0000007000]      ACPI WAKEUP ==> [0000003000 - 0000007000]
ACPI: PM-Timer IO Port: 0x808
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x02] enabled)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x03] enabled)
ACPI: IOAPIC (id[0x04] address[0xfec00000] gsi_base[0])
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 low level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Using ACPI (MADT) for SMP configuration information
ACPI: HPET id: 0x8300 base: 0xfed00000
ACPI: Core revision 20091214
ACPI: bus type pci registered
ACPI: EC: Look up EC in DSDT
ACPI: Executed 4 blocks of module-level executable AML code
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in ACPI motherboard resources
ACPI: No dock devices found.
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci_root PNP0A03:00: ignoring host bridge windows from ACPI; boot with "pci=use_crs" to use them
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCE2._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0PC._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs *4 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 4 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 4 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 4 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 4 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 4 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 4 *7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 4 7 10 11 12 14 15) *0, disabled.
PCI: Using ACPI for IRQ routing
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 12 devices
ACPI: ACPI bus type pnp unregistered
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
ACPI: Power Button [PWRB]
ACPI: Power Button [PWRF]
[jimc@groucho ~]$ 


To attach more, I apparently have to submit, then return to do 2nd attach. 
RSN.

Comment 1 Jim Cromie 2010-05-26 17:34:07 UTC
Created attachment 416945 [details]
dmidecode output

Comment 2 Jim Cromie 2010-05-30 16:52:16 UTC
This fan is on the GT220 video card.

I ran the Dell diagnostics, which tested the cpu-fan and case-fan,
and I could hear those fans change speed.  the diags dont test
the video fan, which droned on just like with F-13.

windows7 does reduce the fan speed, no doubt with the NVidia
driver its using.

Comment 3 Bug Zapper 2011-06-02 13:23:49 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Jim Cromie 2011-06-02 17:43:52 UTC
in F-14, fan still runs full speed.
On windows 7 it does not.
Ive googled a bit for a hwmon based remedy, no luck

Comment 5 Josh Boyer 2011-08-26 19:02:34 UTC
As far as I know, nouveau still doesn't do power management or fan control.

Ben, is that right?

Comment 6 Ben Skeggs 2011-08-30 03:57:06 UTC
Yes that's right.  I've written code to support the raw hardware fan control interfaces on most chipsets recently, and it's sitting in nouveau git.  I don't deem it ready for public consumption just yet.  There's an initial hwmon interface layer to my code written by Martin Peres sitting in nouveau git too.  It's all very much use at your own risk.

Ignore any hype on phoronix etc about Nouveau fan control.  It's nowhere near ready, and in my opinion it was stupid to draw attention to the work currently when so much is really not ready.

Comment 7 Josh Boyer 2011-08-30 10:50:18 UTC
We'll move this bug to rawhide, and we can close it when the code is properly merged.

Thanks Ben.

Comment 8 Jim Cromie 2012-06-04 17:06:14 UTC
iirc, I got this info from someone on nouveau ML

nouveau.perflvl_wr=7777

and added it to my /etc/default/grub

It works to shut fan down completely, but I cannot modulate the fan
thereafter - I cant turn it back on..

Eventually the card overheats and (apparently) ACPI freezes the box;
theres no warning of any kind.  power-cycle needed to recover.

I finally bought a $30 fanless radeon card, silence is bliss.

Comment 9 Fedora End Of Life 2013-04-03 18:30:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19


Note You need to log in before you can comment on or make changes to this bug.